Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Current Position (KEYED)

Applicable for checking the position details a specified contract

Request URL

GET https://cloud-api.wooxpro.com/contract/private/position

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/position?symbol=BTCUSDT
FieldTypeRequired?Description
symbolStringNoSymbol of the contract(like BTCUSDT)
accountStringNoTrading account
-futures
-copy_trading

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "symbol": "BTCUSDT",
      "leverage": "5",
      "timestamp": 1663814313531,
      "current_fee": "5.00409471",
      "open_timestamp": 1662714817820,
      "current_value": "16680.3157",
      "mark_value": "16673.27053207877",
      "mark_price": "93000.50",
      "position_value": "18584.272343943943943944339",
      "position_cross": "3798.397624451826977945",
      "maintenance_margin": "4798.397624451826977945",
      "margin_type":"Isolated",
      "position_mode": "hedge_mode",
      "close_vol": "100",
      "close_avg_price": "20700.7",
      "open_avg_price": "20200",
      "entry_price": "20201",
      "current_amount": "899",
      "unrealized_value": "1903.956643943943943944339",
      "realized_value": "55.049173071454605573",
      "position_type": 2,
      "account": "futures"
    }
  ],
  "trace": "ae96cae5-1f09-4ea5-971e-4474a6724bc8"
}
FieldTypeDescription
leverageStringLeverage multiplier
symbolStringSymbol of the contract
current_feeStringCurrent position fees
open_timestampLongOpening timestamp
current_valueStringPosition value based on last price
mark_valueStringPosition value based on mark price
mark_priceStringmark price
position_valueStringPosition value based on entry price
open_avg_priceStringOpen average price
close_avg_priceStringClose average price
entry_priceStringAverage entry price of the position
close_volStringClose volume
position_crossStringMargin calls to positions
maintenance_marginStringMaintenance Margin
margin_typeStringMargin type of the position
-Cross
-Isolated
position_modeStringPosition mode
-hedge_mode
-one_way_mode
current_amountStringCurrent position amount
unrealized_valueStringUnrealized PnL
realized_valueStringRealized PnL
position_typeIntposition type
-1=long
-2=short
accountStringTrading account
-futures
-copy_trading
timestampLongCurrent timestamp(ms)